$dashboard-footer-margin: rhythm(1) 0 0 0 !default;


.#{$namespace}-leaderboards {
  flex: 1 1 auto;
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;


  &__header {
    flex: 0 0 auto;
    display: flex;
    align-items: center;
    height: rhythm(3);
    margin: 0 rhythm(.5) rhythm(.5) 50px;
    border-bottom: 1px dashed map-get($border-colors, 'normal');
  }


  &__title {
    margin: 0;
    padding: 0;
    font-weight: 100;
    font-size: map-get($font-sizes, 'small');
    font-weight: bold;
    text-transform: lowercase;

    &:nth-child(1) {
      width: 40px;
      margin: 0 0 0 40px;
      flex: 1 1 auto;
    }

    &:nth-child(2) {
      flex: 0 0 auto;
      margin: 0 20px 0 0;
    }
  }


  &__content {
    flex: 1 1 auto;
    display: flex;
    flex-direction: column;
    height: 100%;
    overflow-y: auto;

    .#{$namespace}-loader,
    .#{$namespace}-text--error {
      margin: rhythm(1) auto;
      text-align: center;
      text-transform: lowercase;
    }
  }


  &__list {
    width: 100%;
    margin: 0 auto;
    list-style-position: inside;
    padding: 0 0 0 20px;
    font-size: map-get($font-sizes, 'tiny');

    &__item {
      position: relative;
      height: rhythm(3);
      line-height: rhythm(3);
      margin: 0;
    }
  }


  &__player {
    position: absolute;
    top: rhythm(.5);
    left: 30px;
    right: 0;
    display: flex;
    align-items: center;
    height: rhythm(2);
    font-size: map-get($font-sizes, 'normal');

    &__avatar {
      flex: 0 0 auto;
      margin: 0 10px 0 0;
      vertical-align: middle;
    }

    &__name {
      flex: 1 1 auto;
      margin: 0 20px 0 0;
    }

    &__score {
      flex: 0 0 auto;
      margin: 0 20px 0 0;
      font-family: $monospace-font-family;
      font-weight: 100;
    }
  }


  &__footer {
    flex: 0 0 auto;
    text-align: center;
  }
}
